Subject: Re: [PATCH] Provide config option to expect files outside sparse patterns

From: Junio C Hamano <[email-masked]>
Date: Sun, 20 Feb 2022 12:16:18 -0800

Derrick Stolee <[email-masked]> writes:

> This patch looks like a good solution to the concerns brought up by
> Jonathan N. around vfsd. VFS for Git uses the microsoft/git fork with
> its own custom config to protect things like this. I imagine that we
> will start setting your core_expect_files_outside_sparse_patterns
> variable when reading the virtual filesystem info. We might even modify
> some of our custom checks to use this variable instead. That would make
> them appropriate to send upstream.
>
> Should we update Documentation/config/core.txt describing this config
> key? Or is this intended to be an internal detail only for something
> like vfsd?
>
> The only concern here really is if we want to be picky about the "VFS
> for Git" references instead of "vfsd" references in the commit message.

Thanks for a quick response to make sure what our left hand is
trying to do will not interfere with what our right hand has already
been doing ;-)